function automate(directoryAlgo,pictures,annotations,result)
%AUTOMATE apply the algorithm named "main.m" that is in the directory 
%'directoryAlgo' on all of the pictures contained on the directory
%'pictures'. It compares the resultes with the good ones contained on 
%''

    addpath(directoryAlgo) ;
    captchaPictures = pictures ;
    captchaAnnotations = annotations ;
    captchaResults = result ;
    
    %addpath('../code') ;
    %captchaPictures = 'samples/' ;
    %captchaAnnotations = 'annotations.txt' ;
    %captchaResults = 'results.txt' ;
    
    annot = fopen(captchaAnnotations,'r') ;
    result = fopen(captchaResults,'w') ;
    name = fread(annot,20,'*char')' ;
    rateBNCR = 0 ;
    rateTotal = 0 ;
    meanBN = 0 ;
    number = 0 ;
    while size(name,2)>0
        img = double(imread([captchaPictures,name])) ;
        res = main(img) ;
        text = fread(annot,3,'*char')' ;
        charactere = fread(annot,1,'*char') ;
        text = '' ;
        while uint8(charactere) ~= 10 
            text = [text,charactere] ;
            charactere = fread(annot,1,'*char') ;
        end
        fprintf(result,'%s : ',name) ;
        good = 0 ;
        if size(res,2) ~= size(text,2)-1
            fprintf(result,'bad cause BNCR : %s <===> %s',res,text) ;
            rateBNCR = rateBNCR + 1 ;
            rateTotal = rateTotal + 1 ;
        else
            for i=1:6
                if strcmp(res(i),text(i)) == 1 
                    good = good + 1 ;
                end
            end
            if good == 6 
                fprintf(result,'good : %s\n',res) ;
            else
                fprintf(result,'bad at %d : %s <===> %s',good/6,res,text) ;
                meanBN = meanBN + good/6 ;
                rateTotal = rateTotal + 1 ;
            end
        end
        name = fread(annot,20,'*char')' ;
        number = number + 1 ;
    end
    rateBCR = rateTotal - rateBNCR ;
    fprintf(result,'\n\nrate of total error : %d\n',rateTotal/number) ;    
    fprintf(result,'rate of BNCR error : %d\n',rateBNCR/number) ;
    fprintf(result,'rate of BCR error : %d\n',rateBCR/number) ; 
    fprintf(result,'mean rate of BCR error : %d',meanBN/rateBCR) ;
    
    fclose(annot) ;
    fclose(result) ;
end