function imgOut = gradient(imgIn)
%GRADIENT Calculate the max of the distance between pixels and their 4
%neighboors.
%The distance is the euclidean distance in RGB (the resultes have been 
%better than in Lab...)
    
    imgL = imgIn(2:end-1,1:end-2,:) ;
    imgR = imgIn(2:end-1,3:end,:) ;
    imgU = imgIn(1:end-2,2:end-1,:) ;
    imgD = imgIn(3:end,2:end-1,:) ;
    imgC = imgIn(2:end-1,2:end-1,:) ;
    
    diffL = sqrt(sum((imgL - imgC).^2,3)) ;
    diffR = sqrt(sum((imgR - imgC).^2,3)) ;
    diffU = sqrt(sum((imgU - imgC).^2,3)) ;
    diffD = sqrt(sum((imgD - imgC).^2,3)) ;
    
    imgOut = imgIn(:,:,1)*0 ;
    tmp = max(diffL, max(diffR, max(diffU,diffD))) > 20 ;
    imgOut(2:end-1,2:end-1) = tmp ;    
end
