function letter = testCara(imgIn)
%TESTCARA load the file letters.txt that represente statistically the
%letters, and use it to recognise a picture of a charactere.
    characteres = 'letters.txt' ;
    
    nbCases = zeros(1,1,62) ;
    characteres1 = reshape('abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789',1,1,62) ;
    characteres2 = zeros(65,65,62) ;

    flux = fopen(characteres,'r') ;
    fichier = fscanf(flux,'%s') ;
   
    if size(fichier,2) > 0
        position = 1 ;
        for i=1:62
            nbCases(i) = (fichier(position)-'0')*10000 + (fichier(position+1)-'0')*1000 + (fichier(position+2)-'0')*100 + (fichier(position+3)-'0')*10 + (fichier(position+4)-'0') ;
            characteres1(i) = fichier(position+5) ;
            tmp = reshape(fichier(position+6:position+65^2*3+5),3,65,65) ;
            tmp = 100*(tmp(1,:,:)-'0') + 10*(tmp(2,:,:)-'0') + tmp(3,:,:)-'0' ;
            characteres2(:,:,i) = reshape(tmp,65,65)' ;
            position = position + 65^2*3+6 ;
        end
    end
    
    fclose(flux) ;
    
    imgIn = redim(imgIn,65) ;
    %figure ; imshow(uint8(imgIn)*255) ;
    
    min = 99999 ;
    idMin = 0 ;
    for i=1:62
        dist = (sum(sum((characteres2(:,:,i) - imgIn).^2)))^(1/2) ;
        if dist<min
            min = dist ;
            idMin = i ;
        end
    end
    letter = characteres1(idMin) ;
    %figure ; imshow(uint8(characteres2(:,:,idMin)*2)) ;
end

function imgOut = redim(imgIn,sizeC) 
    histV = sum(imgIn,2) ;
    histH = sum(imgIn,1) ;
    
    lines = find(histV > 0) ;
    colums = find(histH > 0) ;
    imgTmp = imgIn(lines(1):lines(end),colums(1):colums(end)) ;
    imgOut = imresize(imgTmp,[sizeC,sizeC]) ;
end
