function train_data(imgIn)
%TRAIN_DATA cut a picture of a texte in the characteres that belong to it,
%and load the letters represented in the file letters.txt.
%Therefore, it add the caracteres recognized to the load letters and store
%the final result in letters.txt.
%Letters are represented by their probability of pixel location.
%An exemple of texte is in the directory textes.
    
    characteres = 'letters.txt' ;
    
    nbCases = zeros(1,1,62) ;
    characteres1 = reshape('abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789',1,1,62) ;
    characteres2 = ones(65,65,62)*50 ;

    flux = fopen(characteres,'r') ;
    fichier = fscanf(flux,'%s') ;
   
    if size(fichier,2) > 0
        position = 1 ;
        for i=1:62
            nbCases(i) = (fichier(position)-'0')*10000 + (fichier(position+1)-'0')*1000 + (fichier(position+2)-'0')*100 + (fichier(position+3)-'0')*10 + (fichier(position+4)-'0') ;
            characteres1(i) = fichier(position+5) ;
            tmp = reshape(fichier(position+6:position+65^2*3+5),3,65,65) ;
            tmp = 100*(tmp(1,:,:)-'0') + 10*(tmp(2,:,:)-'0') + tmp(3,:,:)-'0' ;
            characteres2(:,:,i) = reshape(tmp,65,65)' ;
            position = position + 65^2*3+6 ;
        end
    end
    
    fclose(flux) ;
    
    res = cutcut(imgIn) ;
    for i=1:size(res,3) 
        k = mod(i-1,62)+1 ;
        characteres2(:,:,k) = (characteres2(:,:,k)*nbCases(k) + res(:,:,i)*100)/(nbCases(k)+1) ;
        nbCases(k) = nbCases(k) + 1 ;
    end
    characteres2 = uint8(characteres2) ;
    flux = fopen(characteres,'w') ;
    for k=1:62        
        %figure ; imshow(characteres2(:,:,k)*2) ;
        if k>26 && k<53
            imwrite(characteres2(:,:,k)*2,['letters/',characteres1(k),characteres1(k),'.bmp']) ;
        else
            imwrite(characteres2(:,:,k)*2,['letters/',characteres1(k),'.bmp']) ;
        end
        if nbCases(k) < 10
            fprintf(flux,'0000%d ',nbCases(k)) ;
        else
            if nbCases(k) < 100
                fprintf(flux,'000%d ',nbCases(k)) ;
            else
                if nbCases(k) < 1000
                    fprintf(flux,'00%d ',nbCases(k)) ;
                else
                    if nbCases(k) < 10000
                        fprintf(flux,'0%d ',nbCases(k)) ;
                    else
                        fprintf(flux,'10000 ') ;
                    end
                end
            end
        end
        fprintf(flux,'%s\n',characteres1(k)) ;
        for i=1:65
            for j=1:65
                if characteres2(i,j,k) < 10
                    fprintf(flux,'00%d\t',characteres2(i,j,k)) ;
                else
                    if characteres2(i,j,k) < 100
                        fprintf(flux,'0%d\t',characteres2(i,j,k)) ;
                    else
                        fprintf(flux,'100\t') ;
                    end
                end
            end
            fprintf(flux,'\n') ;
        end
    end
    fclose(flux) ;
end